Plugin outdated for MHP 3rd patched in english?

Discussion in 'PSP - Games & Content' started by pakoito, Jan 15, 2011.

  1. pakoito
    OP

    pakoito GBAtemp Regular

    Member
    104
    0
    Nov 16, 2006
    I'm trying to play the 2.0 version of the english patch of Team HGGs, but I don't know why only a few parts of the game are translated and it looks WAAAAAAAAAAAAAAAAAAAAAAAAAY different than the original one.

    I think it may be a plugin issue, as I have an outdated version of it called stargate.prx but I don't know where to get a newer as I can't play without it.
     
  2. Schlupi

    Schlupi Gbatemp's Official Earthbound Maniacâ„¢

    Member
    3,985
    161
    Aug 31, 2007
    United States
    Rozen Queen Co, Chicago Branch
    Check my sig.

    Patch it with the Patching program. I have the latest patches in my sig.

    It is simple and takes seconds to patch and just delete your patch plugins before you run it.

    The plugin version was discontinued because of too many bugs.
     
  3. pakoito
    OP

    pakoito GBAtemp Regular

    Member
    104
    0
    Nov 16, 2006
    I've done some tests and came with some answers so I'll rephrase the problem [​IMG]

    I patched a clean japanese version and put it into the PSP, and the game didn't work without the plugin because of firmware/loader problems. Then I used prometheus iso_helper to patch the game (kinda, I guess it worked because at least the intro got fixed) but again instead of needing stargate.prx now I had prometheus.prx; and the translation is still only applied to a few parts of the game, mostly items but never menues or quest descriptions.

    I cannot flash or update the firm because the PSP is not mine and I was told not no [​IMG]


    PS: 5.03 GEN-A
     
  4. Jolan

    Jolan Unlimited Bear Works

    Member
    1,385
    7
    Mar 20, 2010
    Netherlands, currently
    Q: What's 5.03 HEN-A?

    I myself am running 5.03 CFW, and don't see any problems with MH3P on 5.03 Prometheus-4.
     
  5. pakoito
    OP

    pakoito GBAtemp Regular

    Member
    104
    0
    Nov 16, 2006
    GEN-A, sorry, it's the firmware listed in the sys optrions. PSP 3000.
     
  6. Jolan

    Jolan Unlimited Bear Works

    Member
    1,385
    7
    Mar 20, 2010
    Netherlands, currently
    Yeah, you should update to 5.03 prometheus-4 if you want to play MH3P En-patched. Try turning off all your plugins, that stargate.prx and the like cause massive problems with running games on 5.03 CFW.